| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSetToAddress Struct Reference
[Utilities]

Sized data type access helpers. More...

`#include <csutil/csendian.h>`

List of all members.

## Static Public Member Functions
static void | Int16 (void *buff, int16 s)
static void | Int32 (void *buff, int32 s)
static void | Int64 (void *buff, int64 s)
static void | UInt16 (void *buff, uint16 s)
| Set specifically sized type at unaligned memory address.
static void | UInt32 (void *buff, uint32 s)
static void | UInt64 (void *buff, uint64 s)

## Detailed Description

Sized data type access helpers.

On some platforms, certain data types can only be manipulated when correctly aligned (e.g. uint32 can only be Written to addresses aligned to 4 bytes). This routines assist manipulating sized types at arbitrary memory positions (e.g. when constructing files in memory) by working around the alignment requirements on platforms that have such.

Definition at line 255 of file csendian.h.

## Member Function Documentation

static void csSetToAddress::UInt16 | ( | void * | buff,
|  | uint16 | s |
| ) |  |  | `[inline, static]`

Set specifically sized type at unaligned memory address.

Definition at line 259 of file csendian.h.

Referenced by Int16().

The documentation for this struct was generated from the following file:

- csutil/csendian.h